lamp环境安装时候报错,好像403权限不够,但是....

  1. PHP版本:5.6

  2. Apache:2.4

所有的安装都是 在官方下载的安装包 原生态make编译安装的,全部都完成后却出现了403!

看了网上的回答说是htdocs里的html权限问题,试过给予权限,但还是一样! -------- 否掉!

后来看回答说配置httpd.conf里的一些东西,但搜索出来的httpd文件却有三个??

[root@localhost htdocs]# find / -name httpd.conf
/root/lamp/apache/httpd-2.4.25/docs/conf/httpd.conf
/root/lamp/apache/conf/original/httpd.conf
/root/lamp/apache/conf/httpd.conf

当时编译安装apache的时候是指定安装目录:/root/lamp/apache/
刚刚接触所以不清楚,到底那个才是生效的httpd.conf文件?

网上回答说找到这个标签 然后改,可我找到的<Directory />区域不止一个,区域里的代码明显比我配置文件里的代码多呀? 现在真的是苦恼得很,找到了 又感觉不是他,可网上回答确实是它, 可这时他还有一些一模一样的兄弟姐妹。。。
<Directory />

Options FollowSymLinks
AllowOverride None
Order deny,allow
deny from all
Satisfy all

</Directory>

这些都是初手遇到的问题,该如何解决呢?

查看回复